Bug 729235 - Circular dependency - ant
Summary: Circular dependency - ant
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Build Process
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: BRMS 5.3.0.GA
Assignee: Geoffrey De Smet
QA Contact: Tomas Schlosser
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 07:54 UTC by Tomas Schlosser
Modified: 2012-05-03 01:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Tomas Schlosser 2011-08-09 07:54:46 UTC
Description of problem:
Tattletale reports a circular dependency at ant-1.8.1.jar and ant-nodeps-1.8.1.jar. See the tattletale report here:
http://hudson.qa.jboss.com/hudson/view/BRMS/job/brms-tattletale/9/artifact/report/bre/circulardependency/index.html

Comment 1 Anne-Louise Tangring 2011-08-12 15:20:49 UTC
Inherited component.

Comment 2 Geoffrey De Smet 2012-01-24 14:54:17 UTC
From the ant 1.8.2 release:
* Removed ant-nodeps.jar; it is now merged into ant.jar.

Comment 3 Geoffrey De Smet 2012-01-24 15:04:25 UTC
Fixed the ant circular dependency by upgrading to ant 1.8.2 (because ant's 1.8.1 maven artifacts where circular by design, there's nothing we could do there on our end):

https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/582183829e684ecdf4885fce10f67bf1828c99fb
https://github.com/droolsjbpm/droolsjbpm-tools/commit/a0e64e703be371cbc392a9068692b0c2deb695b3

The ehcache/hibernate circular dependency is currently to risky to fix by upgrading the hibernate version. Master might already be on a newer hibernate version which might fix that.

Comment 4 Ryan Zhang 2012-02-15 09:11:44 UTC
Please verify the issue on 5.3 ER4.

Comment 5 Tomas Schlosser 2012-02-22 10:48:56 UTC
Verified. The circular dependency is gone according to JBoss Tattletale.


Note You need to log in before you can comment on or make changes to this bug.